Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 76726 - (SOUND ESSSOLO1)Bug in kernel module esssolo1
Summary: (SOUND ESSSOLO1)Bug in kernel module esssolo1
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-25 15:31 UTC by Bill Foskett
Modified: 2008-08-01 16:22 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:07 UTC


Attachments (Terms of Use)

Description Bill Foskett 2002-10-25 15:31:46 UTC
Description of Problem:  The kernel module esssolo1 does not correctly work on
the IBM Thinkpad 390x(2626-H0U) which has the ESS1969 chip according to kudzu.
The only time it will correctly play a sound is when using the play command from
a terminal window on a simple .wav file.  When trying to play MP3's with
XMMS(upgraded), the play command on some .wav files and videos the sound comes
out slow and choppy.   


Version-Release number of selected component (if applicable):kernel 2.4.18-14


How Reproducible:


Steps to Reproduce:
1. Install RH8.0 on an IBM Thinkpad
2. try to play most any sound format file
3. 

Actual Results:Bad sound output


Expected Results:Good sound output


Additional Information: This same system had Windows installed on it so I know
that the hardware is good.  I've tried to manually configure the
/etc/modules.conf file with parameters such as "options esssolo1 irq=5" but I
get an error message when reloading the module saying "invalid argument" or
something like that.  I've compiled the 2.4.19 kernel and get the same results.

Comment 1 Bill Foskett 2002-10-28 13:59:27 UTC
I installed Quake 2 and the sound is fine.  I am not sure now where the problem
is.  Whether it is in the xine and XMMS or the sound module.

Comment 2 Bugzilla owner 2004-09-30 15:40:07 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.